MAJOR=$(cat ../../../app/version.hh  | grep -A3 "elif defined(AD_OSX)" | grep "AD_VERSION_MAJOR" | tr '\t' ' ' | tr '\n' ' ' | tr '\r' ' ' | cut -d' ' -f4)
MINOR=$(cat ../../../app/version.hh  | grep -A3 "elif defined(AD_OSX)" | grep "AD_VERSION_MINOR" | tr '\t' ' ' | tr '\n' ' ' | tr '\r' ' ' | cut -d' ' -f4)
BUILD=$(cat ../../../app/version.hh  | grep -A3 "elif defined(AD_OSX)" | grep "AD_VERSION_BUILD" | tr '\t' ' ' | tr '\n' ' ' | tr '\r' ' ' | cut -d' ' -f4)
VERSION="${MAJOR}.${MINOR}.${BUILD}"
echo "Version: ${VERSION}"

NAMESPACE=$(cat ../../../../anydesk-build/include/base/config.hh | grep "define AD_SETUP_GLOBAL_PREFIX" | cut -d' ' -f4 | tr -d "\"")

if [ "${NAMESPACE}" == "ad" ]; then
	NAMESPACE="anydesk"
else
	NAMESPACE=$(echo "anydesk_${NAMESPACE}" | tr ' ' '_')
fi

/usr/libexec/PListBuddy -c "Delete :SMPrivilegedExecutables" ./AnyDesk/Info.plist || true
/usr/libexec/PListBuddy -c "Add :SMPrivilegedExecutables dict" ./AnyDesk/Info.plist


BUNDLE_NAME="com.philandro.${NAMESPACE}"
HELPER_BUNDLE_NAME="${BUNDLE_NAME}.Helper"
HELPER_VERSION=$(/usr/libexec/PListBuddy -c "Print CFBundleShortVersionString" Helper/AnyDeskHelper-Info.plist)

CERT_ENTRY_FINAL=$(echo "${CERT_ENTRY}" | sed "s/ad_replace/${HELPER_BUNDLE_NAME}/g")

/usr/libexec/PlistBuddy -c "Set :CFBundleShortVersionString ${VERSION}" -c "Set :CFBundleVersion ${VERSION}" -c "Add :SMPrivilegedExecutables:${HELPER_BUNDLE_NAME} string ${CERT_ENTRY_FINAL}"  -c "Set CFBundleIdentifier ${BUNDLE_NAME}" -c "Set HelperToolVersion ${HELPER_VERSION}" ./AnyDesk/Info.plist
